PSSR_MEM_BaseWithHashId< true > Class Reference

PSSR Message Encoding Method with Hash Identifier. More...

`#include <pssr.h>`

Inheritance diagram for PSSR_MEM_BaseWithHashId< true >:

## Additional Inherited Members

Public Member Functions inherited from PK_RecoverableSignatureMessageEncodingMethod
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_SignatureMessageEncodingMethod
bool | IsProbabilistic () const
| Determines whether an encoding method requires a random number generator.
bool | AllowNonrecoverablePart () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Detailed Description

PSSR Message Encoding Method with Hash Identifier.

If USE_HASH_ID is true, then EMSA2HashIdLookup<PSSR_MEM_Base> is used for the base class

Definition at line 56 of file pssr.h.

The documentation for this class was generated from the following file:

- pssr.h